* {
  margin: 0;
  background-color: rgb(20, 20, 20);
}
.side-panel {
  width: 3%;
  height: 100%;
  position: fixed;
  background-color: #000000;
}
.code {
  width: 47%;
  height: 100vh;
  color: rgb(0, 166, 0);
  background-color: rgb(12, 12, 12);
  position: fixed;
  font-family: "M PLUS 1 Code", monospace;
  overflow-x: scroll;
  overflow-y: scroll;
  left: 3%;
}
::-webkit-scrollbar {
    width: 10px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    background: #000000; 
  }
   
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: #888; 
    border-radius: 2em;
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #555; 
  }
.code-input {
  width: 48.2%;
  height: 97vh;
  opacity: 0;
  background-color: white;
  border: none;
  position: absolute;
}
.code-input:focus {
  outline: none;
}
.output {
  left: 50%;
  width: 50%;
  height: 100vh;
  color: rgb(0, 125, 166);
  background-color: rgb(0, 0, 0);
  position: fixed;
  padding-left: 6px;
  padding-top: 8px;
  font-family: "M PLUS 1 Code", monospace;
  font-weight: 450;
}
.arrow-i {
  background-color: none;
  width: auto;
  height: auto;
  border: none;

}

.arrow-i:focus {
    outline: none;
}
.run {
    position: fixed;
    top: 94.3vh;
    left: calc(50% - 80px);
    width: 80px;
    height: 40px;
    color: rgb(0, 213, 0);
    font-size: 100%;

    background-color: rgb(30, 30, 30);

 
    
}
.run:hover {
    filter: brightness(1.5)
}
.JSinputReciever {
    left: 50%;
    width: 50%;
    height: 100vh;
    color: rgb(0, 125, 166);
    background-color: none;
    position: fixed;
    padding-left: 6px;
    padding-top: 8px;
    opacity: 0;
}